import { GoldRushClient } from "@covalenthq/client-sdk";
const ApiServices = async () => {
const client = new GoldRushClient("<GOLDRUSH_API_KEY>");
const resp = await client.NftService.checkOwnershipInNftForSpecificTokenId({chainName: "chainName", walletAddress: "walletAddress"});
console.log(resp.data);
};
ApiServices();curl --request GET \
--url https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/collection/{collectionContract}/token/{tokenId}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/collection/{collectionContract}/token/{tokenId}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/collection/{collectionContract}/token/{tokenId}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updated_at": "2023-11-07T05:31:56Z",
"address": "<string>",
"collection": "<string>",
"is_spam": true,
"items": [
{
"contract_name": "<string>",
"contract_ticker_symbol": "<string>",
"contract_address": "<string>",
"token_id": "<string>",
"supports_erc": [
"<string>"
],
"last_transfered_at": "2023-11-07T05:31:56Z",
"balance": "<string>",
"balance_24h": "<string>",
"type": "<string>",
"nft_data": {
"token_id": "<string>",
"token_url": "<string>",
"original_owner": "<string>",
"current_owner": "<string>",
"external_data": {
"name": "<string>",
"description": "<string>",
"asset_url": "<string>",
"asset_file_extension": "<string>",
"asset_mime_type": "<string>",
"asset_size_bytes": "<string>",
"image": "<string>",
"image_256": "<string>",
"image_512": "<string>",
"image_1024": "<string>",
"animation_url": "<string>",
"external_url": "<string>",
"attributes": [
{
"trait_type": "<string>",
"value": "<string>"
}
],
"thumbnails": {
"image_256": "<string>",
"image_512": "<string>",
"image_1024": "<string>",
"image_opengraph_url": "<string>",
"thumbhash": "<string>"
},
"image_preview": "<string>",
"asset_properties": {
"asset_width": 123,
"asset_height": 123,
"dominant_color": "<string>"
}
},
"asset_cached": true,
"image_cached": true
}
}
]
}Check ownership in NFT collection for specific token
Commonly used to verify ownership of a specific token (ERC-721 or ERC-1155) within a collection.
import { GoldRushClient } from "@covalenthq/client-sdk";
const ApiServices = async () => {
const client = new GoldRushClient("<GOLDRUSH_API_KEY>");
const resp = await client.NftService.checkOwnershipInNftForSpecificTokenId({chainName: "chainName", walletAddress: "walletAddress"});
console.log(resp.data);
};
ApiServices();Credit Cost
Processing
Related guides
Related guides
Authorizations
Bearer authentication header of the form: Bearer <token>, where <token> is your GoldRush API Key.
Path Parameters
The chain name eg: eth-mainnet.
The requested address. Passing in an ENS, RNS, Lens Handle, or an Unstoppable Domain resolves automatically.
The requested collection address. Passing in an ENS, RNS, Lens Handle, or an Unstoppable Domain resolves automatically.
The requested token ID.
Response
Successful response
The timestamp when the response was generated. Useful to show data staleness to users.
The requested address.
The requested collection.
Denotes whether the token is suspected spam. Supported on all Foundational Chains.
List of response items.
Show child attributes
Show child attributes